using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ConfectioneryDataModels.Models;
using System.ComponentModel;
using ConfectioneryContracts.Attributes;

namespace ConfectioneryContracts.ViewModels
{
    public class PastryViewModel : IPastryModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column(title: "Название выпечки", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string PastryName { get; set; } = string.Empty;
        [Column(title: "Цена", width: 150)]
        public double Price { get; set; }
        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> PastryComponents
        {
            get;
            set;
        } = new();
    }
}
